Project

General

Profile

Bug #2965

pg_config is deprecated to build postgres client applications

Added by stbuehler 13 days ago.

Status:
New
Priority:
Normal
Assignee:
-
Category:
-
Target version:
Start date:
2019-07-05
Due date:
% Done:

0%

Estimated time:
Missing in 1.5.x:

Description

openSUSE removed pg_config from postgresql-devel - we should use pkg-config with libpq.pc instead (debian: present since debian 8 jessie in libpq-dev).

https://lists.opensuse.org/opensuse-factory/2019-03/msg00299.html

On Thursday 2019-03-21 15:28, Boris Manojlovic wrote:

    I was surprised with automated mail that my package zabbix was failing
    building on openSUSE:Factory, after trying to build it locally i have
    discovered that postgresql-devel does not even install development
    package (11 in this moment...) and as in package i only require meta
    package postgresql-devel it now fails with pg_config not found. Can
    someone share logic which now should be used that is portable between
    versions of openSUSE?

pg_config is apparently gone, the fix is to use pkg-config with libpq.pc
instead.

Also available in: Atom